/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.axis.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.ow2.orchestra.axis.example.loanApproval.LoanApprovalTest;
import org.ow2.orchestra.axis.example.weather.WeatherTest;
import org.ow2.orchestra.axis.test.activities.receive.Receive2Test;
import org.ow2.orchestra.axis.test.factorial.FactorialTest;
import org.ow2.orchestra.axis.test.hello2.Hello2Test;
import org.ow2.orchestra.axis.test.helloworld.HelloworldTest;
import org.ow2.orchestra.axis.test.perf.AdditionTest;
import org.ow2.orchestra.axis.test.perf.FlowTest;
import org.ow2.orchestra.axis.test.perf.MarketplaceTest;
import org.ow2.orchestra.axis.test.receiveFlow.ReceiveFlowTest;
import org.ow2.orchestra.axis.test.receiveSeq.ReceiveSeqTest;
import org.ow2.orchestra.axis.test.wait.HelloworldWaitTest;

/**
 * @author Charles Souillard
 */
public final class AxisTests extends TestCase {

  /**
   * private constructor.
   */
  private AxisTests() {
  }

  /**
   * TestSuite.
   * 
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(AxisTests.class.getPackage().getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(Receive2Test.class);
    suite.addTestSuite(HelloworldTest.class);
    suite.addTestSuite(HelloworldWaitTest.class);
    suite.addTestSuite(Hello2Test.class);
    suite.addTestSuite(FactorialTest.class);
    suite.addTestSuite(WeatherTest.class);
    suite.addTestSuite(LoanApprovalTest.class);
    suite.addTestSuite(AdditionTest.class);
    suite.addTestSuite(FlowTest.class);
    suite.addTestSuite(ReceiveFlowTest.class);
    suite.addTestSuite(ReceiveSeqTest.class);
    suite.addTestSuite(MarketplaceTest.class);
    // $JUnit-END$
    return suite;
  }
}
