/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.axis.test.perf;

import javax.xml.namespace.QName;

import org.ow2.novabpm.perf.PerfTestCase;
import org.ow2.orchestra.axis.AxisConfiguration;
import org.ow2.orchestra.axis.test.AxisTestCase;

public abstract class AxisPerfTestCase extends AxisTestCase implements PerfTestCase {

  protected long id;

  protected void deploy(String processName) {
    deploy(processName, null);
  }

  protected abstract String getProcessName();
  protected abstract String getProcessNamespace();

  public long getId() {
    return this.id;
  }

  public String getProcessId() {
    return new QName(getProcessNamespace(), getProcessName()).toString();
  }

  public void setId(long id) {
    this.id = id;

  }

  public void undeploy() {
    undeploy(new QName(getProcessNamespace(), getProcessName()));
  }

  protected String getAdminServerURL() {
    AxisConfiguration config = AxisConfiguration.getInstance();
    String adminServletURL = "http://" + config.getHost() + ":"
        + config.getPort() + "/" + config.getWebappName() + "/"
        + "servlet/AxisServlet";
    return adminServletURL;
  }

}
