/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.definition.activity;

import org.ow2.orchestra.runtime.BpelExecution;

/**
 * the runtime behaviour of the empty activity.
 * 
 * @author Charles Souillard, Tom Baeyens
 * @version $Id: Empty.java 1409 2008-04-08 09:39:42Z porcherg $
 */
public class Empty extends AutomaticActivity {

  /** serialVersionUID. */
  private static final long serialVersionUID = 1L;

  protected Empty() {
    super();
  }

  public Empty(String uuid) {
    super(uuid);
  }

  /**
   * business logic.
   * 
   * @param execution
   *            execution
   */
  public void executeBusinessLogic(BpelExecution execution) {
  }
}
