/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.definition.element;

import javax.xml.namespace.QName;

import org.jbpm.pvm.impl.VariableDefinitionImpl;

/**
 * declaration of a variable in a bpel process.
 * 
 * @author Charles Souillard, Tom Baeyens
 */
public class Variable extends VariableDefinitionImpl {

  /** messageType attribute of this variable. */
  protected QName messageType;

  /** type attribute of this variable. */
  protected QName type;

  /** element attribute of this variable. */
  protected QName element;

  /**
   * Virtual copy to initialized the variable if it has an inline from-spec.
   */
  protected Copy virtualCopy;

  public Copy getVirtualCopy() {
    return this.virtualCopy;
  }

  public QName getElement() {
    return this.element;
  }

  public QName getMessageType() {
    return this.messageType;
  }

  public String getName() {
    return this.name;
  }

  public QName getType() {
    return this.type;
  }

  public void setVirtualCopy(Copy virtualCopy) {
    this.virtualCopy = virtualCopy;
  }

  public void setElement(QName element) {
    this.element = element;
  }

  public void setMessageType(QName messageType) {
    this.messageType = messageType;
  }

  public void setName(String name) {
    this.name = name;
  }

  public void setType(QName type) {
    this.type = type;
  }

}
