/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.exception;

import java.util.List;

import org.jbpm.xml.Problem;

public class OrchestraException extends RuntimeException {

  /**
   *
   */
  private static final long serialVersionUID = 1L;

  public OrchestraException() {
    super();
  }

  public OrchestraException(Exception e) {
    super(e);
  }

  public OrchestraException(String message) {
    super(message);
  }

  public OrchestraException(String message, Exception e) {
    super(message, e);
  }

  public OrchestraException(List<Problem> problems) {
    super(getMessageFromProblems(problems));
  }

  private static String getMessageFromProblems(List<Problem> problems) {
    String message = "";
    for (Problem problem : problems) {
      message += problem.toString() + "\n";
    }
    return message;
  }
}
