/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the JBPM BPEL PUBLIC LICENSE AGREEMENT as
 * published by JBoss Inc.; either version 1.0 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package org.ow2.orchestra.lang.evaluator;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.ow2.orchestra.lang.Expression;
import org.ow2.orchestra.lang.PropertyQuery;
import org.ow2.orchestra.lang.VariableQuery;
import org.ow2.orchestra.lang.jaxen.XPathEvaluatorFactory;

/**
 * Evaluator factories produce BPEL expression and query evaluators.
 * @author Alejandro Guizar
 * @version $Revision: 1.7 $ $Date: 2007/09/12 23:20:15 $
 */
public abstract class EvaluatorFactory {

  private static final Log LOG = LogFactory.getLog(EvaluatorFactory.class);

  protected EvaluatorFactory() {
  }

  public abstract ExpressionEvaluator createEvaluator(Expression expression);

  public abstract PropertyQueryEvaluator createEvaluator(PropertyQuery query);

  public abstract VariableQueryEvaluator createEvaluator(VariableQuery query);

  public static EvaluatorFactory getInstance(String language) {
    return (EvaluatorFactory) new XPathEvaluatorFactory();
  }

}
