/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.parsing.binding;

import java.util.UUID;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.jbpm.pvm.impl.NodeImpl;
import org.jbpm.xml.Parse;
import org.jbpm.xml.Parser;
import org.ow2.orchestra.definition.activity.Empty;
import org.w3c.dom.Element;

/**
 * @author Charles Souillard
 */

public class EmptyBinding extends ActivityBinding {

  /** log. */
  private static Logger log = Logger.getLogger(EmptyBinding.class.getName());

  /**
   * Parses the given dom element to build a Node and a behaviour.
   * 
   * @param element
   *            dom element to parse
   * @param parse
   *            parse
   * @param parser
   *            parser
   * @return the build behaviour!
   */
  public Object parse(Element element, Parse parse, Parser parser) {
    if (log.isLoggable(Level.FINE)) {
      log.fine("parsing element = " + element);
    }
    Empty empty = new Empty(UUID.randomUUID().toString());
    setEnclosingScope(empty, parse);
    parseStandardAttributes(element, empty, parse);
    parseStandardElements(element, empty, parse);
    NodeImpl activityNode = createActivityNode(element, parse, parser, empty);
    return activityNode;
  }

}
