package org.ow2.orchestra.parsing.binding;

import java.util.UUID;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.jbpm.pvm.impl.NodeImpl;
import org.jbpm.xml.Parse;
import org.jbpm.xml.Parser;
import org.ow2.orchestra.definition.activity.Sequence;
import org.w3c.dom.Element;

/**
 * @author Tom Baeyens, Charles Souillard
 */
public class SequenceBinding extends ActivityBinding {

  /** log. */
  private static Logger log = Logger.getLogger(SequenceBinding.class.getName());

  /**
   * Parses the given dom element to build a Node and a behaviour.
   * 
   * @param element
   *            dom element to parse
   * @param parse
   *            parse
   * @param parser
   *            parser
   * @return the build behaviour!
   */
  public Object parse(Element element, Parse parse, Parser parser) {
    if (log.isLoggable(Level.FINE)) {
      log.fine("parsing element = " + element);
    }
    Sequence sequence = new Sequence(UUID.randomUUID().toString());
    setEnclosingScope(sequence, parse);
    parseStandardAttributes(element, sequence, parse);
    parseStandardElements(element, sequence, parse);

    NodeImpl activityNode = createActivityNodeWithChildren(element, parse,
        parser, sequence);
    activityNode.setPreviousNeeded(true);

    return activityNode;
  }

}
