/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.runtime;

/**
 * @author Charles Souillard
 */

public class SequenceRuntime {

  /** children number of this sequence. */
  private int childrenNumber;

  /** child nb of the current child executed. */
  private int currentChild = -1;

  /**
   * default constructor.
   * 
   * @param childrenNb
   *            child number of this sequence.
   */
  public SequenceRuntime(final int childrenNb) {
    this.childrenNumber = childrenNb;
  }

  /**
   * @return -1 if all children ahve been executed. Else The children number of
   *         the next child to execute.
   */
  public final int next() {
    if ((childrenNumber - 1) > currentChild) {
      currentChild++;
      return currentChild;
    } else {
      return -1;
    }
  }
}
