package org.ow2.orchestra.services;

import javax.xml.namespace.QName;

public class OperationKey {

  /**
   * represent the key of each 'exchange' activity like receive, reply, invoke,
   * pick...
   *
   */
  protected QName processQName;

  protected QName portTypeQName;

  protected String operationName;

  /** For persistence * */
  protected OperationKey() {
  }

  public OperationKey(QName processQName, QName portTypeQName,
      String operationName) {
    this.processQName = processQName;
    this.portTypeQName = portTypeQName;
    this.operationName = operationName;
  }

  public boolean equals(Object o) {
    if (!(o instanceof OperationKey)) {
      return false;
    }
    OperationKey other = (OperationKey) o;
    return processQName.equals(other.getProcessQName())
        && portTypeQName.equals(other.getPortTypeQName())
        && operationName.equals(other.getOperationName());
  }

  public int hashCode() {
    int hashcode = 13;
    hashcode += hashcode * 37 + processQName.hashCode();
    hashcode += hashcode * 37 + portTypeQName.hashCode();
    hashcode += hashcode * 37 + operationName.hashCode();
    return hashcode;
  }

  public String getOperationName() {
    return operationName;
  }

  public QName getPortTypeQName() {
    return portTypeQName;
  }

  public QName getProcessQName() {
    return processQName;
  }

  public String toString() {
    return "[" + processQName + "|" + portTypeQName + "|" + operationName + "]";
  }
}
