package org.ow2.orchestra.services.db.hibernate;

import java.io.Serializable;
import java.net.MalformedURLException;
import java.net.URL;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

import org.hibernate.usertype.UserType;

public class URLUserType implements UserType {

  private static final int[] SQL_TYPES = new int[] { Types.VARCHAR };

  public Object assemble(Serializable cached, Object owner) {
    return cached;
  }

  public Object deepCopy(Object o) {
    return o;
  }

  public Serializable disassemble(Object o) {
    return (Serializable) o;
  }

  public boolean equals(Object x, Object y) {
    if (x == null) {
      return y == null;
    }
    return x.equals(y);
  }

  public int hashCode(Object o) {
    return o.hashCode();
  }

  public boolean isMutable() {
    return false;
  }

  public Object nullSafeGet(ResultSet resultSet, String[] names, Object owner)
    throws SQLException {
    String urlAsString = resultSet.getString(names[0]);
    try {
      return new URL(urlAsString);
    } catch (MalformedURLException e) {
      return null;
    }
  }

  public void nullSafeSet(PreparedStatement preparedStatement, Object value,
      int index) throws SQLException {
    if (value != null) {
      URL url = (URL) value;
      preparedStatement.setString(index, url.toExternalForm());
    }
  }

  public Object replace(Object original, Object target, Object owner) {
    return target;
  }

  public Class returnedClass() {
    return URL.class;
  }

  public int[] sqlTypes() {
    return SQL_TYPES;
  }

}
