package org.ow2.orchestra.services.itf;

import java.util.List;

import javax.xml.namespace.QName;

import org.jbpm.env.session.PvmDbSession;
import org.ow2.orchestra.definition.BpelProcess;
import org.ow2.orchestra.runtime.BpelExecution;
import org.ow2.orchestra.runtime.ScopeRuntime;
import org.ow2.orchestra.services.OperationKey;
import org.ow2.orchestra.services.Receiver;
import org.ow2.orchestra.services.ReplierKey;

public interface BpelPersistenceService extends PvmDbSession {

  /** searches for the given BpelProcess version */
  BpelProcess findBpelProcess(String namespace, String name, int version);

  /** searches for the latest version of the given BpelProcess */
  BpelProcess findBpelProcess(String namespace, String name);

  /** searches for all the BpelProcesses in the database */
  List<BpelProcess> getBpelProcesses();

  /** searches for all the BpelInstances in the database */
  List<BpelExecution> getBpelInstances();

  /**
   * searches for all the Instances instances of the given BpelProcess in the
   * database
   */
  List<BpelExecution> getBpelInstances(QName processQName);

  /** search for the Receiver having the given operationKey */
  Receiver getReceiver(OperationKey operationKey);

  /** search for the Receiver having the given processQName */
  List<Receiver> getReceivers(QName processQName);

  /** search for the Replier having the given replierKey */
  Replier getReplier(ReplierKey replierKey);
  
  List<Replier> getRepliers(ScopeRuntime scopeRuntime);

}
