package org.ow2.orchestra.services.itf;

import org.ow2.orchestra.runtime.PartnerLinkRuntime;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.services.OperationKey;
import org.ow2.orchestra.var.Message;

/**
 * used by the engine during bpel process execution whenever a remote service
 * needs to be invoked.
 * 
 * @author Tom Baeyens, Charles Souillard
 */
public interface Invoker {

  /** key to use to find an object in the wiring context. */
  String DEFAULT_KEY = "serviceInvoker";

  /**
   * perform an invoke using the given parameters.
   * 
   * @param instance
   *            the instance of the process
   * @param name
   *            the name of the invoke activity
   * @param partnerLinkRuntime
   *            the partnerLink runtime value of the invoke
   * @param operation
   *            the operation of the invoke activity
   * @param variableRuntime
   *            the value of the variable used in invoke
   * @return the message received in response of this call (if there is one...)
   */
  Message invoke(OperationKey operationKey, String name,
      PartnerLinkRuntime partnerLinkRuntime, VariableRuntime variableRuntime);
}
