package org.ow2.orchestra.services.itf;

import java.util.List;

import javax.xml.namespace.QName;

import org.ow2.orchestra.definition.BpelProcess;

/**
 * component that stores the deployed processes.
 * 
 * @author Tom Baeyens
 */
public interface ProcessRepository {

  /**
   * 
   * @param process
   *            bpelProcess to store
   */
  void storeProcess(BpelProcess process);

  BpelProcess removeProcess(QName processQName);

  /**
   * Returns the list of available bpel processes.
   * 
   * @return the list of available bpel processes.
   */
  List<BpelProcess> getProcesses();

  /**
   * Returns the BpelProcess having the given name.
   * 
   * @param processName
   *            processName
   * @return the BpelProcess having the given name.
   */
  BpelProcess getProcess(QName processQName);
}
