/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.wsdl;

import javax.wsdl.Message;
import javax.xml.namespace.QName;

import org.ow2.orchestra.lang.PropertyQuery;

/**
 * @author Goulven Le Jeune, Charles Souillard, Candy Chlad, Stanislas Giraudet
 *         De Boudemange
 */
public class PropertyAlias {

  protected QName propertyName;

  protected Property propertyRef;

  protected QName messageType;

  protected Message messageRef;

  protected String part;

  protected QName type;

  protected QName element;

  protected PropertyQuery query;

  private PropertyAlias() {
    super();
  }

  public PropertyAlias(QName propertyName) {
    this.propertyName = propertyName;
  }

  public QName getElement() {
    return element;
  }

  public void setElement(QName element) {
    this.element = element;
  }

  public QName getMessageType() {
    return messageType;
  }

  public void setMessageType(QName messageType) {
    this.messageType = messageType;
  }

  public String getPart() {
    return part;
  }

  public void setPart(String part) {
    this.part = part;
  }

  public QName getPropertyName() {
    return propertyName;
  }

  public QName getType() {
    return type;
  }

  public void setType(QName type) {
    this.type = type;
  }

  public PropertyQuery getQuery() {
    return query;
  }

  public void setQuery(PropertyQuery query) {
    this.query = query;
  }

  public String toString() {
    // TODO :change the format
    String st = "PropertyAlias : \n";
    st += "propertyName = " + this.propertyName + "\n";
    if (this.messageType != null) {
      st += "  messageType=\"" + this.messageType.toString() + "\"";
    }
    if (this.part != null) {
      st += " part=\"" + this.part + "\"";
    }
    if (this.type != null) {
      st += " type=\"" + this.type.toString() + "\"";
    }
    if (this.element != null) {
      st += " element=\"" + this.element.toString() + "\"";
    }
    if (this.query != null) {
      st += " query=\"" + this.query.toString() + "\"";
    }
    return st;
  }

}
