/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.activities.ActivitiesTests;
import org.ow2.orchestra.test.correlation.CorrelationTests;
import org.ow2.orchestra.test.handler.HandlerTests;
import org.ow2.orchestra.test.integration.IntegrationTests;
import org.ow2.orchestra.test.partnerLink.PartnerLinkTests;
import org.ow2.orchestra.test.perf.PerfTests;
import org.ow2.orchestra.test.standardElements.StandardElementsTests;
import org.ow2.orchestra.test.staticAnalysis.StaticAnalysisTests;
import org.ow2.orchestra.test.threadmodel.ThreadModelTests;
import org.ow2.orchestra.test.var.VarTests;
import org.ow2.orchestra.test.xpath.XPathTests;

/**
 * @author Charles Souillard, Goulven Le Jeune
 */
public final class BpelTests extends TestCase {

  /**
   * private constructor.
   */
  private BpelTests() {
  }

  /**
   * TestSuite.
   *
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(BpelTests.class.getPackage().getName());
    // $JUnit-BEGIN$
    suite.addTest(ActivitiesTests.suite());
    suite.addTest(PerfTests.suite());
    suite.addTest(CorrelationTests.suite());
    suite.addTest(HandlerTests.suite());
    suite.addTest(PartnerLinkTests.suite());
    suite.addTest(VarTests.suite());
    suite.addTest(XPathTests.suite());
    suite.addTest(StandardElementsTests.suite());
    suite.addTest(ThreadModelTests.suite());
    suite.addTest(StaticAnalysisTests.suite());
    suite.addTest(IntegrationTests.suite());
    // $JUnit-END$
    return suite;
  }
}
