/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test;

import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

import junit.framework.TestCase;
import org.ow2.novabpm.perf.StressPerfTest;

import org.ow2.orchestra.test.perf.addition.AdditionTest;
import org.ow2.orchestra.test.perf.flow.FlowTest;
import org.ow2.orchestra.test.perf.loanApproval.LoanApprovalTest;
import org.ow2.orchestra.test.perf.marketplace.MarketplaceTest;

/**
 * @author Charles Souillard
 */
public class StressTest extends TestCase {

  public static void testStress() throws Exception {
    String[] myArgs = new String[10];
    myArgs[0] = "threadNb=8";
    myArgs[1] = "printFinished=false";
    myArgs[2] = "printLaunched=false";
    myArgs[3] = "timeBetweenVerifications=2s";
    myArgs[4] = "timeBetweenPrints=10s";
    myArgs[5] = "testsToRunClasses=class.all";
    myArgs[6] = "thinkTime=10ms";
    myArgs[7] = "loadTime=1m";
    myArgs[8] = "warmupTime=30s";
    myArgs[9] = "algo=type";

    StressPerfTest test = new StressPerfTest(myArgs, getClassAliasesMap(),
        getClassGlobalAliasesMap());

    test.deployTests();
    test.launchTests();
  }

  public static Map<String, String> getClassAliasesMap() {
    Map<String, String> aliasesMap = new TreeMap<String, String>();
    aliasesMap.put("class.flow", FlowTest.class.getName());
    aliasesMap.put("class.add", AdditionTest.class.getName());
    aliasesMap.put("class.market", MarketplaceTest.class.getName());
    aliasesMap.put("class.loan", LoanApprovalTest.class.getName());
    return aliasesMap;
  }

  public static Map<String, String[]> getClassGlobalAliasesMap() {
    Map<String, String[]> globalAliasesMap = new HashMap<String, String[]>();
    globalAliasesMap.put("class.all", getClassAliasesMap().keySet().toArray(
        new String[] {}));
    return globalAliasesMap;
  }

}
