/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test;

import java.util.HashMap;
import java.util.Map;

import javax.xml.namespace.QName;

public final class WSRepository {

  private WSRepository() {
  }

  private static Map<QName, Object> wsInstances;

  public static synchronized void addWS(QName portTypeQName, Object instance) {
    if (wsInstances == null) {
      wsInstances = new HashMap<QName, Object>();
    }
    wsInstances.put(portTypeQName, instance);
  }

  public static synchronized Object getWS(QName portTypeQName) {
    if (wsInstances == null) {
      return null;
    }
    return wsInstances.get(portTypeQName);
  }

  public static synchronized Object removeWS(QName portTypeQName) {
    if (wsInstances != null) {
      return wsInstances.remove(portTypeQName);
    }
    return null;
  }

  public static synchronized void removeAll() {
    wsInstances = null;
  }

}
