/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.activities;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.activities.catch_.CatchTest;
import org.ow2.orchestra.test.activities.foreach.ForEachTest;
import org.ow2.orchestra.test.activities.if_.IfTest;
import org.ow2.orchestra.test.activities.invoke.InvokeAddPersonTest;
import org.ow2.orchestra.test.activities.invoke.InvokeCreatePersonTest;
import org.ow2.orchestra.test.activities.invoke.InvokeFromPartsTest;
import org.ow2.orchestra.test.activities.invoke.InvokeTest;
import org.ow2.orchestra.test.activities.pick.Pick2Test;
import org.ow2.orchestra.test.activities.pick.PickOnAlarmTest;
import org.ow2.orchestra.test.activities.pick.PickSessionTest;
import org.ow2.orchestra.test.activities.pick.PickTest;
import org.ow2.orchestra.test.activities.reThrow.ReThrowTest;
import org.ow2.orchestra.test.activities.receive.Receive2Test;
import org.ow2.orchestra.test.activities.receive.ReceiveTest;
import org.ow2.orchestra.test.activities.reply.ReplyTest;
import org.ow2.orchestra.test.activities.throw_.ThrowTest;
import org.ow2.orchestra.test.activities.wait.WaitFlowTest;
import org.ow2.orchestra.test.activities.wait.WaitForTest;
import org.ow2.orchestra.test.activities.wait.WaitUntilTest;
import org.ow2.orchestra.test.activities.while_.WhileTest;

/**
 * @author Charles Souillard
 */
public final class ActivitiesTests {

  /**
   * private constructor.
   */
  private ActivitiesTests() {
  }

  /**
   * TestSuite.
   *
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(ActivitiesTests.class.getPackage()
        .getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(ReceiveTest.class);
    suite.addTestSuite(Receive2Test.class);
    suite.addTestSuite(InvokeTest.class);
    suite.addTestSuite(InvokeAddPersonTest.class);
    suite.addTestSuite(InvokeCreatePersonTest.class);
    suite.addTestSuite(InvokeFromPartsTest.class);
    suite.addTestSuite(ReplyTest.class);
    suite.addTestSuite(WhileTest.class);
    suite.addTestSuite(ForEachTest.class);
    suite.addTestSuite(IfTest.class);
    suite.addTestSuite(WaitForTest.class);
    suite.addTestSuite(WaitUntilTest.class);
    suite.addTestSuite(WaitFlowTest.class);
    suite.addTestSuite(PickTest.class);
    suite.addTestSuite(Pick2Test.class);
    suite.addTestSuite(PickOnAlarmTest.class);
    suite.addTestSuite(PickSessionTest.class);

    suite.addTestSuite(CatchTest.class);
    suite.addTestSuite(ThrowTest.class);
    suite.addTestSuite(ReThrowTest.class);
    // $JUnit-END$
    return suite;
  }
}
