package org.ow2.orchestra.test.activities.if_;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.jbpm.env.Environment;
import org.ow2.orchestra.test.BpelTestCase;
import org.ow2.orchestra.util.BpelXmlUtil;
import org.w3c.dom.Element;


public class IfTest extends BpelTestCase {
  /**
   * Default constructor.
   */
  public IfTest() {
    super("http://orchestra.ow2.org/if", "if");
  }

  public void testIf() {
    deploy();
    launch("1", "if");
    launch("2", "elseif1");
    launch("3", "elseif2");
    launch("4", "else");
    undeploy();
  }

  public void deploy() {
    deploy(this.getClass().getResource(getProcessName() + ".bpel"), this
        .getClass().getResource(getProcessName() + ".wsdl"));
  }

  public long launch(String condition, String expectedResult) {
    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("condition", BpelXmlUtil.createElementWithContent(condition));

    QName portTypeQName = new QName(getProcessNamespace(), getProcessName() + "PT");
    String operationName = "submit";
    CallResult callResult = call(parts, portTypeQName, operationName);

    long endTime = System.currentTimeMillis();
    Environment environment = null;
    try {
      environment = getEnvironmentFactory().openEnvironment();
      System.out.println(callResult);
      assertNotNull(callResult.getVariables());
      assertEquals(callResult.getVariables().size(), 1);

      Object result = getVariableValue(callResult, "result");

      assertString(result, expectedResult);
      deleteInstance(callResult);
    } finally {
      if (environment != null) {
        environment.close();
      }
    }
    return endTime;
  }
}
