package org.ow2.orchestra.test.activities.wait;

import org.jbpm.env.Environment;
import org.jbpm.jobexecutor.JobExecutor;
import org.ow2.orchestra.test.BpelTestCase;


public abstract class WaitTestCase extends BpelTestCase {

  protected void setUp() throws Exception {
    super.setUp();
    try {
      getEnvironmentFactory().openEnvironment();
      JobExecutor jobExecutor = Environment.getCurrent().get(JobExecutor.class);
      if (jobExecutor != null) {
        jobExecutor.setIdleInterval(500000);
        jobExecutor.start();
      }
    } finally {
      if (Environment.getCurrent() != null) {
        Environment.getCurrent().close();
      }
    }
  }

  protected void tearDown() throws Exception {
    try {
      getEnvironmentFactory().openEnvironment();
      JobExecutor jobExecutor = Environment.getCurrent().get(JobExecutor.class);
      if (jobExecutor != null) {
        jobExecutor.stop();
      }
    } finally {
      if (Environment.getCurrent() != null) {
        Environment.getCurrent().close();
      }
    }
    super.tearDown();
  }

  public WaitTestCase(String processNamespace, String processName) {
    super(processNamespace, processName);
  }

  public void deploy() {
    deploy(this.getClass().getResource(getProcessName() + ".bpel"),
        this.getClass().getResource(getProcessName() + ".wsdl"));
  }

}
