/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2007 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.integration;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.integration.correlation.sales.SalesTest;
import org.ow2.orchestra.test.integration.evaluate.EvaluateTest;
import org.ow2.orchestra.test.integration.sc.SCTest;

/**
*
* @author Goulven Le Jeune
*
*/
public final class IntegrationTests {

  /**
   * private constructor.
   */
  private IntegrationTests() {
  }

  /**
   * TestSuite.
   *
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(IntegrationTests.class.getPackage()
        .getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(SCTest.class);
    suite.addTestSuite(EvaluateTest.class);
    suite.addTestSuite(SalesTest.class);



    // $JUnit-END$
    return suite;
  }
}
