package org.ow2.orchestra.test.integration.correlation.sales;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.test.wsutils.AsynchronousWS;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Element;

/**
 * @author Nicolas SALATGE - eBM WebSourcing
 */
public class Stock {

  public void initiate(VariableRuntime variableRuntime) {
    String processNs = "http://petals.ow2.org/sales";
    String processName = "salesAsync";
    QName portTypeQName = new QName(processNs, "sales");
    String operationName = "onResultStock";

    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    Message getStockRequest = (Message) varValue;
    Element stockRequest = getStockRequest.getPartValue("payload");

    String refId = stockRequest.getFirstChild().getFirstChild().getTextContent();

    int ref = Integer.parseInt(refId);
    boolean res;
    if (ref % 2 == 0) {
      res = true;
    } else {
      res = false;
    }


    Element callBackResponseElement = BpelUtil.getDocumentWithOneElement(new QName(processNs, "stockResponse"));

    Element refIdElmt = callBackResponseElement.getOwnerDocument().createElementNS(processNs, "refId");
    refIdElmt.setTextContent(refId);

    Element resultElmt = callBackResponseElement.getOwnerDocument().createElementNS(processNs, "result");
    resultElmt.setTextContent(String.valueOf(res));


    callBackResponseElement.appendChild(resultElmt);
    callBackResponseElement.appendChild(refIdElmt);


    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("payload", callBackResponseElement);



    //call(parts, portTypeQName, operationName);
    new AsynchronousWS(processNs, processName, portTypeQName, operationName, parts).execute();

    //return new Message(parts);
  }


}
