package org.ow2.orchestra.test.integration.evaluate;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Document;
import org.w3c.dom.Element;


/**
 * @author Nicolas Salatge
 */
public class Analyze {

  private String ns;
  private String op;

  public Analyze(String ns, String op) {

    this.ns = ns;
    this.op = op;
  }

  public Message analyze(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    //Message getRequest = (Message) varValue;
    //Element analyseRequestElement = getRequest.getPartValue("analyzeRequest");
    //String request = analyseRequestElement.getTextContent();


    Element responseElement = getOperationElement(op, "toulouse");


    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("analyzeResponse", responseElement);
    return new Message(parts);
  }



  public Element getOperationElement(String name, String param) {
    Element responseElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "analyzeResponse"));
    Document doc = responseElement.getOwnerDocument();


    Element nameElement = doc.createElementNS(ns, "name");
    nameElement.setTextContent(name);
    responseElement.appendChild(nameElement);

    Element paramElement = doc.createElementNS(ns, "param");
    paramElement.setTextContent(param);
    responseElement.appendChild(paramElement);

    return responseElement;
  }

}
