package org.ow2.orchestra.test.integration.evaluate;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Nicolas Salatge
 */
public class Stock {

  private String ns;

  public Stock(String ns) {
    this.ns = ns;
  }

  public Message stock(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    //Message getAdresseRequest = (Message) varValue;
    //String enterprise = getAdresseRequest.getPartValue("enterprise").getTextContent();


    Element responseElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "stockReturn"));
    Document doc = responseElement.getOwnerDocument();
    Element returnElement = getReturnElement(doc, "18");
    responseElement.appendChild(returnElement);


    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("stockReturn", responseElement);
    return new Message(parts);
  }

  public Element getReturnElement(Document doc, String val) {
    Element returnElement = doc.createElementNS(ns, "stockResponse");
    returnElement.setPrefix("pet");

    Element opElement = doc.createElementNS(ns, "stockReturn");
    opElement.setTextContent(val);
    returnElement.appendChild(opElement);



    return returnElement;
  }

}
