package org.ow2.orchestra.test.integration.evaluate;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Nicolas Salatge
 */
public class Weather {

  private String ns;

  public Weather(String ns) {
    this.ns = ns;
  }

  public Message weather(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    //Message getAdresseRequest = (Message) varValue;
    //String city = getAdresseRequest.getPartValue("city").getTextContent();



    Element responseElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "weatherReturn"));
    Document doc = responseElement.getOwnerDocument();
    Element returnElement = getReturnElement(doc, "18");
    responseElement.appendChild(returnElement);



    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("weatherReturn", responseElement);
    return new Message(parts);
  }

  public Element getReturnElement(Document doc, String val) {
    Element returnElement = doc.createElementNS(ns, "weatherResponse");
    returnElement.setPrefix("pet");

    Element opElement = doc.createElementNS(ns, "weatherReturn");
    opElement.setTextContent(val);
    returnElement.appendChild(opElement);



    return returnElement;
  }

}
