package org.ow2.orchestra.test.integration.sc;

import java.util.HashMap;

import javax.xml.namespace.QName;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class ABWS {

  private String ns;

  public ABWS(String ns) {
    this.ns = ns;
  }

  public Message getAdresse(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    Message msg = (Message)varValue;
    Element idElmt = msg.getPartValue("id");
    int id = Integer.parseInt(idElmt.getFirstChild().getNodeValue());
    Element adressResponseElement = null;
    Document doc;
    if (id > 1) {

      try {
        doc = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
        adressResponseElement = getReturnElement(doc, "13", "route de Chene", "1207", "Geneve", "Geneve", "Suisse", "address");
      } catch (ParserConfigurationException e) {
        // nothing
        e.printStackTrace();
      }
    } else {
      if (ns.equals("http://petals.ow2.org/SA")) {
        adressResponseElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "address"));
        doc = adressResponseElement.getOwnerDocument();
        Attr attribute = doc.createAttributeNS("http://www.w3.org/2001/XMLSchema-instance", "nil");
        attribute.setNodeValue("true");
        adressResponseElement.setAttributeNode(attribute);
      } else {
        try {
          doc = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
          adressResponseElement = getReturnElement(doc, "13", "route de Chene", "1207", "Geneve", "Geneve", "Suisse", "address");
        } catch (ParserConfigurationException e) {
          // nothing
          e.printStackTrace();
        }
      }
    }
    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("address", adressResponseElement);
    return new Message(parts);
  }

  public Message getListeAdresses(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();
    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    Element adressesResponseElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "addresses"));
    Document doc = adressesResponseElement.getOwnerDocument();

    Element returnElement1 = getReturnElement(doc, "13", "route de Chene", "1207", "Geneve", "Geneve", "Suisse", "address");
    adressesResponseElement.appendChild(returnElement1);

    Element returnElement2 = getReturnElement(doc, "15", "route du puit", "1207", "Geneve", "Geneve", "Suisse", "address");
    adressesResponseElement.appendChild(returnElement2);


    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("addresses", adressesResponseElement);
    return new Message(parts);
  }

  public Element getReturnElement(Document doc, String street, String streetNumber, String zipCode,
      String town, String township, String country, String nameElmt) {
    Element returnElement = doc.createElementNS(ns, nameElmt);

    Element streetElement = doc.createElementNS(ns, "street");
    streetElement.setTextContent(street);
    returnElement.appendChild(streetElement);

    Element streetNumberElement = doc.createElementNS(ns, "streetNumber");
    streetNumberElement.setTextContent(streetNumber);
    returnElement.appendChild(streetNumberElement);

    Element zipCodeElement = doc.createElementNS(ns, "zipCode");
    zipCodeElement.setTextContent(zipCode);
    returnElement.appendChild(zipCodeElement);

    Element townElement = doc.createElementNS(ns, "town");
    townElement.setTextContent(town);
    returnElement.appendChild(townElement);

    Element townshipElement = doc.createElementNS(ns, "township");
    townshipElement.setTextContent(township);
    returnElement.appendChild(townshipElement);

    Element countryElement = doc.createElementNS(ns, "country");
    countryElement.setTextContent(country);
    returnElement.appendChild(countryElement);

    return returnElement;
  }

}
