/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2007 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag. 
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.staticAnalysis;

import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.test.BpelTestCase;
import org.ow2.orchestra.util.StaticAnalysisFault;


/** 
*
* @author Goulven Le Jeune
* 
*/
public class StaticAnalysisTestCase extends BpelTestCase {

  /**
   * Default constructor.
   */
  public StaticAnalysisTestCase(String processNamespace, String name) {
    super(processNamespace, name);
  }

  public void deploy() {
    try {
      deploy(this.getClass().getResource(getProcessName() + ".bpel"), this
          .getClass().getResource(getProcessName() + ".wsdl"));
      fail("Static Analysis Exception " + this.getName().substring(4) + " not rised.");
    } catch (OrchestraException e) {
      assertTrue(e.getMessage().contains(StaticAnalysisFault.getFault(this.getName().substring(4))));
    }
  }

}
