/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2007 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag. 
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.staticAnalysis;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.staticAnalysis.sa00002.SA00002test;
import org.ow2.orchestra.test.staticAnalysis.sa00005.SA00005test;
import org.ow2.orchestra.test.staticAnalysis.sa00015.SA00015test;
import org.ow2.orchestra.test.staticAnalysis.sa00016.SA00016test;
import org.ow2.orchestra.test.staticAnalysis.sa00017.SA00017test;
import org.ow2.orchestra.test.staticAnalysis.sa00018.SA00018test;
import org.ow2.orchestra.test.staticAnalysis.sa00023.SA00023test;
import org.ow2.orchestra.test.staticAnalysis.sa00025.SA00025test;
import org.ow2.orchestra.test.staticAnalysis.sa00044.SA00044test;
import org.ow2.orchestra.test.staticAnalysis.sa00051.SA00051test;
import org.ow2.orchestra.test.staticAnalysis.sa00052.SA00052test;
import org.ow2.orchestra.test.staticAnalysis.sa00055.SA00055test;
import org.ow2.orchestra.test.staticAnalysis.sa00059.SA00059test;
import org.ow2.orchestra.test.staticAnalysis.sa00064.SA00064test;
import org.ow2.orchestra.test.staticAnalysis.sa00065.SA00065test;
import org.ow2.orchestra.test.staticAnalysis.sa00066.SA00066test;
import org.ow2.orchestra.test.staticAnalysis.sa00068.SA00068test;
import org.ow2.orchestra.test.staticAnalysis.sa00069.SA00069test;

/** 
*
* @author Goulven Le Jeune
* 
*/
public final class StaticAnalysisTests {

  /**
   * private constructor.
   */
  private StaticAnalysisTests() {
  }

  /**
   * TestSuite.
   * 
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(StaticAnalysisTests.class.getPackage()
        .getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(SA00002test.class);
    suite.addTestSuite(SA00005test.class);
    suite.addTestSuite(SA00015test.class);
    suite.addTestSuite(SA00016test.class);
    suite.addTestSuite(SA00017test.class);
    suite.addTestSuite(SA00018test.class);
    suite.addTestSuite(SA00023test.class);
    suite.addTestSuite(SA00025test.class);
    suite.addTestSuite(SA00044test.class);
    suite.addTestSuite(SA00051test.class);
    suite.addTestSuite(SA00052test.class);
    suite.addTestSuite(SA00055test.class);
    suite.addTestSuite(SA00059test.class);
    suite.addTestSuite(SA00064test.class);
    suite.addTestSuite(SA00065test.class);
    suite.addTestSuite(SA00066test.class);
    suite.addTestSuite(SA00068test.class);
    suite.addTestSuite(SA00069test.class);
    // $JUnit-END$
    return suite;
  }
}
