/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.threadmodel;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.threadmodel.greetingInOut.GreetingInOutTest;
import org.ow2.orchestra.test.threadmodel.greetingInOutSeparate.GreetingInOutSeparateTest;
import org.ow2.orchestra.test.threadmodel.greetingOneWay.GreetingOneWayTest;

/**
 * @author Charles Souillard
 */
public final class ThreadModelTests {

  /**
   * private constructor.
   */
  private ThreadModelTests() {
  }

  /**
   * TestSuite.
   * 
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(ThreadModelTests.class.getPackage()
        .getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(GreetingOneWayTest.class);
    suite.addTestSuite(GreetingInOutTest.class);
    suite.addTestSuite(GreetingInOutSeparateTest.class);
    // $JUnit-END$
    return suite;
  }
}
