package org.ow2.orchestra.test.threadmodel.greetingInOut;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.jbpm.env.Environment;
import org.ow2.orchestra.test.BpelTestCase;
import org.ow2.orchestra.util.BpelXmlUtil;
import org.w3c.dom.Element;

public class GreetingInOutTest extends BpelTestCase {

  public GreetingInOutTest() {
    super("http://example.com/greeting", "greetingInOut");
  }

  public void testGreetingInOut() {
    deploy();
    launch();
    undeploy();
  }

  public void deploy() {
    deploy(this.getClass().getResource("GreetingInOut.bpel"), this.getClass()
        .getResource("GreetingInOut.wsdl"));
  }

  public long launch() {
    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("name", BpelXmlUtil.createElementWithContent("Mark"));

    QName portTypeQName = new QName(getProcessNamespace(), "greeterPT");
    String operationName = "hello";
    CallResult callResult = call(parts, portTypeQName, operationName);

    long endTime = System.currentTimeMillis();
    Environment environment = null;
    try {
      environment = getEnvironmentFactory().openEnvironment();
      assertNotNull(callResult.getMessageCarrier().getMessage().getPartValue(
          "name"));
      assertEquals(callResult.getMessageCarrier().getMessage().getPartValue(
          "name").getTextContent(), "Mark");
      deleteInstance(callResult);
    } finally {
      if (environment != null) {
        environment.close();
      }
    }
    return endTime;
  }

}
