package org.ow2.orchestra.test.threadmodel.greetingInOutSeparate;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.jbpm.env.Environment;
import org.ow2.orchestra.test.BpelTestCase;
import org.ow2.orchestra.util.BpelXmlUtil;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Element;

public class GreetingInOutSeparateTest extends BpelTestCase {

  public GreetingInOutSeparateTest() {
    super("http://example.com/greeting", "greetingInOutSeparate");
  }

  public void testGreetingInOutSeparate() {
    deploy();
    launch();
    undeploy();
  }

  public void deploy() {
    deploy(this.getClass().getResource("GreetingInOutSeparate.bpel"), this
        .getClass().getResource("GreetingInOutSeparate.wsdl"));
  }

  public long launch() {
    HashMap<String, Element> helloParts = new HashMap<String, Element>();
    helloParts.put("name", BpelXmlUtil.createElementWithContent("Mark"));

    QName portTypeQName = new QName(getProcessNamespace(), "greeterPT");
    CallResult callResult = call(helloParts, portTypeQName, "hello");
    assertFalse(callResult.getMessageCarrier().hasMessage());

    HashMap<String, Element> goodByeParts = new HashMap<String, Element>();
    goodByeParts.put("name", BpelXmlUtil.createElementWithContent("John"));

    call(goodByeParts, portTypeQName, "goodbye");

    long endTime = System.currentTimeMillis();
    Environment environment = null;
    try {
      environment = getEnvironmentFactory().openEnvironment();
      Message replyMessage = callResult.getMessageCarrier().getMessage();
      assertNotNull(replyMessage);
      assertNotNull(replyMessage.getPartValue("name"));
      assertEquals(replyMessage.getPartValue("name").getTextContent(), "John");
      deleteInstance(callResult);
    } finally {
      if (environment != null) {
        environment.close();
      }
    }
    return endTime;
  }
}
