package org.ow2.orchestra.test.threadmodel.greetingOneWay;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.jbpm.env.Environment;
import org.ow2.orchestra.test.BpelTestCase;
import org.ow2.orchestra.util.BpelXmlUtil;
import org.w3c.dom.Element;

public class GreetingOneWayTest extends BpelTestCase {

  public GreetingOneWayTest() {
    super("http://example.com/greeting", "greetingOneWay");
  }

  public void testGreetingOneWay() {
    deploy();
    launch();
    undeploy();
  }

  public void deploy() {
    deploy(this.getClass().getResource("GreetingOneWay.bpel"), this.getClass()
        .getResource("GreetingOneWay.wsdl"));
  }

  public long launch() {
    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("name", BpelXmlUtil.createElementWithContent("Miguel"));

    QName portTypeQName = new QName(getProcessNamespace(), "greeterPT");
    String operationName = "hello";
    CallResult callResult = call(parts, portTypeQName, operationName);

    long endTime = System.currentTimeMillis();
    Environment environment = null;
    try {
      environment = getEnvironmentFactory().openEnvironment();
      assertNull(callResult.getMessageCarrier());
      assertNull(callResult.getVariables());
      deleteInstance(callResult);
    } finally {
      if (environment != null) {
        environment.close();
      }
    }
    return endTime;
  }
}
