/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.test.var;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.orchestra.test.var.fromAii.FromAiiTest;
import org.ow2.orchestra.test.var.fromEii.FromEiiTest;
import org.ow2.orchestra.test.var.fromTii.FromTiiTest;
import org.ow2.orchestra.test.var.literal.LiteralTest;
import org.ow2.orchestra.test.var.message.MessageTest;
import org.ow2.orchestra.test.var.property.PropertyTest;
import org.ow2.orchestra.test.var.query.QueryTest;

/**
 * @author Charles Souillard
 */
public final class VarTests {

  /**
   * private constructor.
   */
  private VarTests() {
  }

  /**
   * TestSuite.
   * 
   * @return suite
   */
  public static Test suite() {
    TestSuite suite = new TestSuite(VarTests.class.getPackage().getName());
    // $JUnit-BEGIN$
    suite.addTestSuite(LiteralTest.class);
    suite.addTestSuite(MessageTest.class);
    suite.addTestSuite(FromAiiTest.class);
    suite.addTestSuite(FromEiiTest.class);
    suite.addTestSuite(FromTiiTest.class);
    suite.addTestSuite(PropertyTest.class);
    suite.addTestSuite(QueryTest.class);
    // $JUnit-END$
    return suite;
  }
}
