package org.ow2.orchestra.test.wsutils;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.ow2.orchestra.test.BpelTestCase;
import org.w3c.dom.Element;

/**
 * @author Nicolas Salatge
 */
public class AsynchronousWS extends BpelTestCase {

  private Caller caller;

  public AsynchronousWS(String processNs, String processName, QName portType, String operation, HashMap<String, Element> parts) {
    super(processNs, processName);
    this.caller = new Caller(processNs, processName, portType, operation, parts);
  }

  public void execute() {
    new Thread(caller).start();
  }

  private class Caller implements Runnable {
    private QName portType;
    private String operation;
    private HashMap<String, Element> parts;

    public Caller(String processNs, String processName, QName portType, String operation, HashMap<String, Element> parts) {
      this.portType = portType;
      this.operation = operation;
      this.parts = parts;
    }

    public void run() {
      call(parts, portType, operation);
    }
  }
}
