package org.ow2.orchestra.test.wsutils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import javax.xml.namespace.QName;

import org.ow2.orchestra.exception.Fault;
import org.ow2.orchestra.exception.OrchestraException;
import org.ow2.orchestra.runtime.VariableRuntime;
import org.ow2.orchestra.util.BpelUtil;
import org.ow2.orchestra.var.BpelFaultMessage;
import org.ow2.orchestra.var.Message;
import org.w3c.dom.Element;

/**
 *
 * @author Nicolas SALATGE - eBM WebSourcing
 *
 */
public class FaultWS {

  private String ns;

  public FaultWS(String ns) {
    this.ns = ns;
  }

  public Message getNormalMessage(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();

    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    Message getNormalMessage = (Message) varValue;
    Element inElmt = getNormalMessage.getPartValue("parameters");

    String in = inElmt.getFirstChild().getFirstChild().getTextContent();

    Element processElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "parameters"));


    Element outputElement = processElement.getOwnerDocument().createElement("out");
    outputElement.setTextContent(in);

    processElement.appendChild(outputElement);

    HashMap<String, Element> parts = new HashMap<String, Element>();
    parts.put("parameters", processElement);

    return new Message(parts);
  }


  public Message getBusinessMessage(VariableRuntime variableRuntime) throws Fault {
    Object varValue = variableRuntime.getValue();

    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }


    List<BpelFaultMessage> soapFaultsMsg = new ArrayList<BpelFaultMessage>();

    Message getBusinessMessage = (Message) varValue;
    Element inElmt = getBusinessMessage.getPartValue("parameters");

    String in = inElmt.getFirstChild().getFirstChild().getTextContent();

    System.out.println("in = " + in);

    if (in.equals("0")) {
      Element faultElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "myfault"));


      Element msgElement = faultElement.getOwnerDocument().createElement("msg");
      msgElement.setTextContent("specific business 0\\n");

      Element errorCodeElement = faultElement.getOwnerDocument().createElement("errorCode");
      errorCodeElement.setTextContent("0");

      faultElement.appendChild(msgElement);
      faultElement.appendChild(errorCodeElement);

      HashMap<String, Element> parts = new HashMap<String, Element>();
      parts.put("parameters", faultElement);
      soapFaultsMsg.add(new BpelFaultMessage(new QName(ns,"fault0"),parts));
    } else {
      Element faultElement = BpelUtil.getDocumentWithOneElement(new QName(ns, "myOtherFault"));


      Element msgElement = faultElement.getOwnerDocument().createElement("kinfFault");
      msgElement.setTextContent("specific business 1\\n");

      Element errorCodeElement = faultElement.getOwnerDocument().createElement("type");
      errorCodeElement.setTextContent("1");

      faultElement.appendChild(msgElement);
      faultElement.appendChild(errorCodeElement);

      HashMap<String, Element> parts = new HashMap<String, Element>();
      parts.put("parameters", faultElement);
      soapFaultsMsg.add(new BpelFaultMessage(new QName(ns,"fault1"),parts));
    }



    throw new Fault(soapFaultsMsg);
  }


  public Message getTechnicalMessage(VariableRuntime variableRuntime) {
    Object varValue = variableRuntime.getValue();

    if (!(varValue instanceof Message)) {
      throw new OrchestraException("variableRuntime value is not a message");
    }

    throw new RuntimeException("Technical exception");
  }

}
